PDA

View Full Version : SLES 12 SLES 12 and VMWare Workstation 12



matthiasfitzi
12-Oct-2015, 15:03
Hi

I am having trouble to get SLES 12 running von VMWare Workstation 12. For instance,
I cannot successfully install a shared folder between host and guest. On the Web I am
getting conflicting information.
- Can I run SLES 12 on VMWare at all?
- Do I have to reinstall VMWare tools at the beginning? However, VMWare does not let
me without having a respective DVD. I downloaded all respective rpm files manually, but
I cannot install them since a lot of dependencies are not resolved.
- Do I need to downgrade to 11 SP3 for VMWare? If so, how can this be done?

Thanks a lot
Matt

thsundel
12-Oct-2015, 15:16
Hi

I am having trouble to get SLES 12 running von VMWare Workstation 12. For instance,
I cannot successfully install a shared folder between host and guest. On the Web I am
getting conflicting information.
- Can I run SLES 12 on VMWare at all?
- Do I have to reinstall VMWare tools at the beginning? However, VMWare does not let
me without having a respective DVD. I downloaded all respective rpm files manually, but
I cannot install them since a lot of dependencies are not resolved.
- Do I need to downgrade to 11 SP3 for VMWare? If so, how can this be done?

Thanks a lot
Matt

According to the VMware docs SLE12 seems to be supported. You probably need to install vmhgfs which should get installed when you install vmware-tools.

http://partnerweb.vmware.com/GOSIG/SLE_12.html

http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=1018414

Thomas

smflood
12-Oct-2015, 16:29
On 12/10/2015 15:04, matthiasfitzi wrote:

> I am having trouble to get SLES 12 running von VMWare Workstation 12.
> For instance,
> I cannot successfully install a shared folder between host and guest. On
> the Web I am
> getting conflicting information.
> - Can I run SLES 12 on VMWare at all?

Yes SLES12 is supported with later versions of Workstation, Fusion, and
ESXi - see
http://www.vmware.com/resources/compatibility/search.php?deviceCategory=software
linked from http://partnerweb.vmware.com/GOSIG/SLE_12.html

> - Do I have to reinstall VMWare tools at the beginning? However, VMWare
> does not let
> me without having a respective DVD. I downloaded all respective rpm
> files manually, but
> I cannot install them since a lot of dependencies are not resolved.

SLES12 includes Open VM Tools which is the open source implementation of
VMware Tools (that are now deprecated in favour of Open VM Tools).

> - Do I need to downgrade to 11 SP3 for VMWare? If so, how can this be
> done?

No you don't need to download SLES12 to SLES11 SP3 and that's not
possible in any case, at least not in the direct sense as you'd have to
install a new instance of SLES11 SP3 then migrate data, etc.

HTH.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------